#!/bin/bash
##########################
# CA Menu (c) Piotr Pisz #
#      2014.04.08        #
##########################
#Zmiany:
#
#
#

PASS=AB1qaz@WSX!
DAYS=999
BAR="--------------------------------------------------------"
CADIR=/etc/pki/ca
OUTCNF=${CADIR}/cnf
OUTKEY=${CADIR}/key
OUTREQ=${CADIR}/req
OUTCRT=${CADIR}/crt
OUTP12=${CADIR}/p12
OUTCAK=${CADIR}/cak
OUTNEW=${CADIR}/new
OUTCRL=${CADIR}/crl
OUTPAK=${CADIR}/pak
OUTTXT=${CADIR}/txt
OUTTMP=${CADIR}/tmp
OUTVMW=${CADIR}/vmw
CNF=openssl.cnf
SUBJECT="/C=PL/ST=Mazowieckie/L=Warszawa/O=PWPW/OU=PU/CN="
SUBJECT_VM="/C=PL/ST=Mazowieckie/L=Warszawa/O=PWPW/OU="
PUSTE="nic"

pwait()
{ 
echo " "
echo " Please wait until service is starting..."
echo " "
sleep 10
 }


ln -s "${OUTVMW}/VMware vCenter Service Certificate" ${OUTVMW}/vpxd
ln -s "${OUTVMW}/VMware Inventory Service Certificate" ${OUTVMW}/inventory
ln -s "${OUTVMW}/VMware Logbrowser Service Certificate" ${OUTVMW}/logbrowser
ln -s "${OUTVMW}/VMware vSphere Autodeploy Service Certificate" ${OUTVMW}/autodeploy
echo " "
service vmware-stsd stop
service vmware-vpxd stop

cd ${OUTVMW}/vpxd

/usr/sbin/vpxd_servicecfg certificate change rui.crt rui.key

echo " "
echo " VC_CFG_RESULT= = 0   <-- means success (if not, press ctrl-c, KB2057248)"
echo " "

service vmware-stsd start
pwait

echo " "
echo -n " vCenter domain name (DNS):"
read PVC
echo " "
cd /etc/vmware-sso/register-hooks.d
./02-inventoryservice --mode uninstall --ls-server https://${PVC}:7444/lookupservice/sdk
echo " "
cd ${OUTVMW}/inventory
openssl pkcs12 -export -out rui.pfx -in rui.crt -inkey rui.key -name rui -passout pass:testpassword

cp rui.* /usr/lib/vmware-vpx/inventoryservice/ssl
cd /usr/lib/vmware-vpx/inventoryservice/ssl
chmod 400 rui.key rui.pfx
chmod 644 rui.crt

echo " "
echo -n " SSO USER:"
read USER
echo -n " SSO USER PASS:"
read PASS
echo " "
cd /etc/vmware-sso/register-hooks.d
./02-inventoryservice --mode install --ls-server https://${PVC}:7444/lookupservice/sdk --user ${USER} --password ${PASS}

rm /var/vmware/vpxd/inventoryservice_registered
echo " "
service vmware-inventoryservice stop
service vmware-vpxd stop

service vmware-inventoryservice start
pwait
service vmware-vpxd start
pwait

cd /etc/vmware-sso/register-hooks.d
./09-vmware-logbrowser --mode uninstall --ls-server https://${PVC}:7444/lookupservice/sdk
echo "Test0"
cd ${OUTVMW}/logbrowser
openssl pkcs12 -export -out rui.pfx -in rui.crt -inkey rui.key -name rui -passout pass:testpassword
cp rui.* /usr/lib/vmware-logbrowser/conf
cd /usr/lib/vmware-logbrowser/conf
chmod 400 rui.key rui.pfx
chmod 644 rui.crt

cd /etc/vmware-sso/register-hooks.d
./09-vmware-logbrowser --mode install --ls-server https://${PVC}:7444/lookupservice/sdk --user ${USER} --password ${PASS}
echo "Test1 "
service vmware-logbrowser stop
service vmware-logbrowser start
pwait
cp ${OUTVMW}/autodeploy/rui.crt /etc/vmware-rbd/ssl/waiter.crt
cp ${OUTVMW}/autodeploy/rui.key /etc/vmware-rbd/ssl/waiter.key
cd /etc/vmware-rbd/ssl
chmod 644 waiter.crt
chown 400 waiter.key
chown deploy:deploy waiter.crt waiter.key
echo " "
service vmware-rbd-watchdog stop
rm /var/vmware/vpxd/autodeploy_registered
service vmware-vpxd restart
pwait
echo " "
echo " It's done!"








